Summary:	GNOME Desktop Portal
Summary(pl.UTF-8):	Implementacja XDG Desktop Portal dla GNOME
Name:		xdg-desktop-portal-gnome
Version:	45.1
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/xdg-desktop-portal-gnome/45/%{name}-%{version}.tar.xz
# Source0-md5:	390b42a8a671ee20e280d69b1e2ae1c6
URL:		https://gitlab.gnome.org/GNOME/xdg-desktop-portal-gnome
BuildRequires:	fontconfig-devel
BuildRequires:	glib2-devel >= 1:2.62
BuildRequires:	gnome-desktop4-devel >= 4
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk4-devel >= 4.0
BuildRequires:	libadwaita-devel >= 1.2.0
BuildRequires:	meson >= 0.57.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xdg-desktop-portal-devel >= 1.17.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.62
Requires:	gsettings-desktop-schemas
Requires:	gtk4 >= 4.0
Requires:	libadwaita >= 1.2.0
Requires:	systemd-units >= 1:242
Requires:	xdg-desktop-portal >= 1.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XDG Desktop Portal implementation for GNOME. It uses GNOME-specific
APIs and components, such as GNOME Shell, Mutter, and GNOME Settings
Daemon, to provide various portal features.

%description -l pl.UTF-8
Implementacja XDG Desktop Portal dla GNOME. Wykorzystuje API i
komponenty specyficzne dla GNOME, takie jak GNOME Shell, Mutter czy
GNOME Settings Daemon, aby zapewnić różne funkcje portalu.

%prep
%setup -q

%build
%meson build \
	-Dsystemduserunitdir=%{systemduserunitdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc (as of 2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libexecdir}/xdg-desktop-portal-gnome
%{systemduserunitdir}/xdg-desktop-portal-gnome.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.gnome.service
%{_datadir}/glib-2.0/schemas/xdg-desktop-portal-gnome.gschema.xml
%{_datadir}/xdg-desktop-portal
%{_desktopdir}/xdg-desktop-portal-gnome.desktop
%changelog
* Fri Dec 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xdg-desktop-portal-gnome.git;a=log;h=master

* Thu Dec 07 2023 Jakub Bogusz <qboosh@pld-linux.org> b60c997
- updated to 45.1

* Tue Sep 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 0605bef
- updated to 44.2

* Sat Jul 29 2023 Jakub Bogusz <qboosh@pld-linux.org> de15f68
- drop ie locale, release 2

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 9c871aa
- updated to 44.1

* Thu May 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 0ab0c00
- updated to 43.1

* Fri Jul 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 832960e
- updated to 42.3

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 46e8fdb
- updated to 42.1

* Thu Apr 14 2022 Jakub Bogusz <qboosh@pld-linux.org> f88fb04
- updated to 42.0.1

* Sat Oct 30 2021 Jakub Bogusz <qboosh@pld-linux.org> bf2ed75
- new

